<?php

use CodeIgniter\Router\RouteCollection;


$routes->get('/', 'Auth::index');
$routes->get('auth', 'Auth::index');
$routes->post('auth/signin', 'Auth::signinAction');


$routes->get('admin', 'Admin::index');
$routes->get('createproduct', 'Admin::createproduct');
$routes->get('productlist', 'Admin::productlist');
$routes->get('productcategories', 'Admin::productcategories');
$routes->get('productunits', 'Admin::productunits');
$routes->post('addcategory', 'Admin::addcategory');
$routes->get('productcategories/(:num)', 'Admin::productcategories/$1');
$routes->post('updatecategory', 'Admin::updatecategory');
$routes->post('addunit', 'Admin::addunit');
$routes->post('updatunit', 'Admin::updatunit');
$routes->post('createproducts', 'Admin::createproducts');
$routes->get('productdetails/(:num)', 'Admin::productdetails/$1');
$routes->get('logout', 'Admin::logout');
//$routes->get('productdetails', 'Admin::productdetails');
$routes->get('editproduct/(:num)', 'Admin::editproduct/$1');
$routes->post('updateproduct', 'Admin::updateproduct');

